# ext/iterator File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/iterator.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _EXT_ITERATOR

## Functions

- template<typename _RandomAccessIterator, typename _Distance> void __gnu_cxx::__distance (_RandomAccessIterator __first, _RandomAccessIterator __last, _Distance &__n, std::random_access_iterator_tag)
- template<typename _InputIterator, typename _Distance> void __gnu_cxx::__distance (_InputIterator __first, _InputIterator __last, _Distance &__n, std::input_iterator_tag)
- template<typename _InputIterator, typename _Distance> void __gnu_cxx::distance (_InputIterator __first, _InputIterator __last, _Distance &__n)